Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class UpdateCondition

    java.lang.Object
      com.amazonaws.services.simpledb.model.UpdateCondition

    public class UpdateCondition

extends Object

Specifies the conditions under which data should be updated. If an update condition is specified for a request, the data will only be updated if the condition is satisfied. For example, if an attribute with a specific name and value exists, or if a specific attribute doesn't exist.

Constructor Summary
`UpdateCondition()` Default constructor for a new UpdateCondition object.
`UpdateCondition(String name, String value, Boolean exists)` Constructs a new UpdateCondition object.

Method Summary
`Boolean` | `getExists()` A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied.
`String` | `getName()` The name of the attribute involved in the condition.
`String` | `getValue()` The value of an attribute.
`Boolean` | `isExists()` A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied.
`void` | `setExists(Boolean exists)` A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied.
`void` | `setName(String name)` The name of the attribute involved in the condition.
`void` | `setValue(String value)` The value of an attribute.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`UpdateCondition` | `withExists(Boolean exists)` A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied.
`UpdateCondition` | `withName(String name)` The name of the attribute involved in the condition.
`UpdateCondition` | `withValue(String value)` The value of an attribute.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpdateCondition

    public UpdateCondition()

  Default constructor for a new UpdateCondition object. Callers should use the setter or fluent setter (with...) methods to initialize this object after creating it.

### UpdateCondition

    public UpdateCondition(String name,
                           String value,
                           Boolean exists)

  Constructs a new UpdateCondition object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `name` - The name of the attribute involved in the condition.
    `value` - The value of an attribute. This value can only be specified when the `Exists` parameter is equal to `true`.
    `exists` - A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied. Specify `true` if the attribute must exist for the update condition to be satisfied. Specify `false` if the attribute should not exist in order for the update condition to be satisfied.

Method Detail

### getName

    public String getName()

  The name of the attribute involved in the condition.

  Returns:
    The name of the attribute involved in the condition.

### setName

    public void setName(String name)

  The name of the attribute involved in the condition.

  Parameters:
    `name` - The name of the attribute involved in the condition.

### withName

    public UpdateCondition withName(String name)

  The name of the attribute involved in the condition.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `name` - The name of the attribute involved in the condition.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getValue

    public String getValue()

  The value of an attribute. This value can only be specified when the `Exists` parameter is equal to `true`.

  Returns:
    The value of an attribute. This value can only be specified when the `Exists` parameter is equal to `true`.

### setValue

    public void setValue(String value)

  The value of an attribute. This value can only be specified when the `Exists` parameter is equal to `true`.

  Parameters:
    `value` - The value of an attribute. This value can only be specified when the `Exists` parameter is equal to `true`.

### withValue

    public UpdateCondition withValue(String value)

  The value of an attribute. This value can only be specified when the `Exists` parameter is equal to `true`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `value` - The value of an attribute. This value can only be specified when the `Exists` parameter is equal to `true`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isExists

    public Boolean isExists()

  A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied. Specify `true` if the attribute must exist for the update condition to be satisfied. Specify `false` if the attribute should not exist in order for the update condition to be satisfied.

  Returns:
    A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied. Specify `true` if the attribute must exist for the update condition to be satisfied. Specify `false` if the attribute should not exist in order for the update condition to be satisfied.

### setExists

    public void setExists(Boolean exists)

  A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied. Specify `true` if the attribute must exist for the update condition to be satisfied. Specify `false` if the attribute should not exist in order for the update condition to be satisfied.

  Parameters:
    `exists` - A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied. Specify `true` if the attribute must exist for the update condition to be satisfied. Specify `false` if the attribute should not exist in order for the update condition to be satisfied.

### withExists

    public UpdateCondition withExists(Boolean exists)

  A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied. Specify `true` if the attribute must exist for the update condition to be satisfied. Specify `false` if the attribute should not exist in order for the update condition to be satisfied.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `exists` - A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied. Specify `true` if the attribute must exist for the update condition to be satisfied. Specify `false` if the attribute should not exist in order for the update condition to be satisfied.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getExists

    public Boolean getExists()

  A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied. Specify `true` if the attribute must exist for the update condition to be satisfied. Specify `false` if the attribute should not exist in order for the update condition to be satisfied.

  Returns:
    A value specifying whether or not the specified attribute must exist with the specified value in order for the update condition to be satisfied. Specify `true` if the attribute must exist for the update condition to be satisfied. Specify `false` if the attribute should not exist in order for the update condition to be satisfied.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.